import request from '@/utils/request'

// 查询学校标签分类id列表
export function listMallSchoolTag(query) {
  return request({
    url: '/mall/mallSchoolTag/list',
    method: 'get',
    params: query
  })
}

// 查询学校标签分类id详细
export function getMallSchoolTag(schoolTagId) {
  return request({
    url: '/mall/mallSchoolTag/' + schoolTagId,
    method: 'get'
  })
}

// 新增学校标签分类id
export function addMallSchoolTag(data) {
  return request({
    url: '/mall/mallSchoolTag',
    method: 'post',
    data: data
  })
}

// 修改学校标签分类id
export function updateMallSchoolTag(data) {
  return request({
    url: '/mall/mallSchoolTag',
    method: 'put',
    data: data
  })
}

// 删除学校标签分类id
export function delMallSchoolTag(schoolTagId) {
  return request({
    url: '/mall/mallSchoolTag/' + schoolTagId,
    method: 'delete'
  })
}
// 学校标签列表
export function selectTagList() {
  return request({
    url: '/mall/mallSchoolTag/selectTagList',
    method: 'get'
  })
}
